/** Simple Modal Popup **/



.modal-popup-section.activate-popup {
	position: fixed;
	top: 0;
	left: 0;
	z-index: 9999;
	width: 100%;
	height: 100%;
	padding: 0 !important;
	background: rgba(0,0,0,0.75) !important;
}

.modal-popup-section.activate-popup > .grve-container {
	position: absolute;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
	background: #fff;
	padding: 30px 20px;
	border-radius: 20px;
	width: 100%;
	max-width: 75%;
	max-height: 80%;
	overflow-y: auto;
}

.modal-popup-section.activate-popup .modal-popup-inner .grve-element.grve-text p {
    font-size: 16px;
    line-height: 1.6;
}

.modal-popup-section.activate-popup .modal-popup-inner .grve-slogan p {
	font-size: 15px;
	line-height: 1.5;
}

/* hide things from the <body>, such as the close modal btn */
.modal-popup-section:not(.activate-popup) .close-modal {
	display: none;
}

/* styles for the "Listening Session" invite (+ some styling for the popup version) */
.modal-popup-section.activate-popup .popup-title,
.modal-popup-section.activate-popup .popup-title > span,
.listening-session .popup-title, 
.listening-session .popup-title > span {
	font-size: 18px !important;
	text-transform: none;
	line-height: 1.4 !important;
}

/* not popup */
.listening-session:not(.activate-popup) {
	margin: 0 20px;
}

.listening-session:not(.activate-popup) > .grve-container {
	max-width: 800px;
	border: 1px solid #e8e8e8;
	padding: 2em 2em 0.5em 2em;
	border-radius: 10px;
	background: #f1f1f1;
}

.listening-session:not(.activate-popup) .grve-slogan {
	background: #ccc;
	border-radius: 6px;
	border: 0;
	margin: 0;
}

@media only screen and (min-width: 48em) {
	
	.modal-popup-section.activate-popup > .grve-container {
		max-height: 850px;
		max-width: 750px;
		padding: 3em;
	}
	
	/* style things *only* for the popup */
	.modal-popup-section.activate-popup .popup-title,
	.modal-popup-section.activate-popup .popup-title > span,
	.listening-session .popup-title, 
	.listening-session .popup-title > span {
		font-size: 25px !important;
	}
	
	/* not popup */
	listening-session:not(.activate-popup) > .grve-container {
		padding: 3em 3em 1.5em 3em;
	}
	
	.listening-session:not(.activate-popup) .grve-slogan {
		margin: 0 40px;
	}
	
}